Name:          gsbase
Version:       2.0.1
Release:       %mkrel 2
Summary:       GSBase
Group:         Development/Java
License:       ASL 2.0
Url:           http://sourceforge.net/projects/gsbase/
Source0:       http://sourceforge.net/projects/gsbase/files/gsbase/2.0.1/gsbase-2.0.1.zip
Source1:       gsbase-build.xml
Source2:       gsbase-2.0.1.pom

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-gcj-compat-devel
BuildRequires: junit
BuildRequires: junitperf

Requires:      junit
Requires:      junitperf
Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
A collection of classes that are helpful
when writing JUDevelopment/Javanit test cases. 

%package javadoc
Group:         Development/Java 
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

cp -pr %{SOURCE1} build.xml
mkdir -p maven/repository
%build

export JAVA_HOME=/usr/lib/jvm/java-gcj
export CLASSPATH=$(build-classpath junit junitperf ant/ant-junit)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dnoget=true -Dbuild.sysclasspath=only jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# TODO add junitperf pom
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/docs/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 dmorgan <dmorgan> 2.0.1-2.mga3
+ Revision: 361259
- Fix required java version

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 gil <gil> 2.0.1-1.mga2
+ Revision: 164944
- imported package gsbase

